petsc-3.10.5 2019-03-28
Report Typos and Errors

# PetscRandomSetSeed

Sets the random seed. You MUST call PetscRandomSeed() after this call to have the new seed used.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscRandomSetSeed(PetscRandom r,unsigned long seed)

Not collective

### Input Parameters

| r | - The random number generator context
| seed | - The random seed

### Usage

PetscRandomSetSeed(r,a positive integer); PetscRandomSeed(r); PetscRandomGetValue() will now start with the new seed.

PetscRandomSeed(r) without a call to PetscRandomSetSeed() re-initializes the seed. The random numbers generated will be the same as before.

### See Also

PetscRandomCreate(), PetscRandomGetSeed(), PetscRandomSeed()

### Level

intermediate

### Location

src/sys/classes/random/interface/randomc.c

### Examples

src/ksp/ksp/examples/tutorials/ex70.c.html
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages